Bug 802122 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the directory .adobe.
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' acc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:aa924ad8ab1543e6c8464371d63...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 09:35 EDT by Mads Kiilerich
Modified: 2012-03-21 14:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2012-03-11 09:35:46 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git0.2.fc17.i686.PAE
reason:         SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the directory .adobe.
time:           Sun 11 Mar 2012 02:35:32 PM CET

description:
:SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the directory .adobe.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed create access on the .adobe directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                .adobe [ dir ]
:Source                        npviewer.bin
:Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-7.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc6.git0.2.fc17.i686.PAE #1
:                              SMP Mon Mar 5 17:02:45 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sun 11 Mar 2012 02:19:40 PM CET
:Last Seen                     Sun 11 Mar 2012 02:19:40 PM CET
:Local ID                      f1756731-3f36-4e5d-b236-49d3ffbb6cfe
:
:Raw Audit Messages
:type=AVC msg=audit(1331471980.532:91): avc:  denied  { create } for  pid=1864 comm="npviewer.bin" name=".adobe" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1331471980.532:91): arch=i386 syscall=mkdir success=yes exit=0 a0=b617a128 a1=1c0 a2=b75e1ae0 a3=b617a128 items=0 ppid=1484 pid=1864 auid=505 uid=505 gid=505 euid=505 suid=505 fsuid=505 egid=505 sgid=505 fsgid=505 tty=(none) ses=2 comm=npviewer.bin exe=/usr/lib/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: npviewer.bin,mozilla_plugin_t,user_home_dir_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Mads Kiilerich 2012-03-11 09:44:53 EDT
Similar errors:

type=AVC msg=audit(1331471980.532:91): avc:  denied  { create } for  pid=1864 comm="npviewer.bin" name=".adobe" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir
type=SYSCALL msg=audit(1331471980.532:91): arch=40000003 syscall=39 success=yes exit=0 a0=b617a128 a1=1c0 a2=b75e1ae0 a3=b617a128 items=0 ppid=1484 pid=1864 auid=505 uid=505 gid=505 euid=505 suid=505 fsuid=505 egid=505 sgid=505 fsgid=505 tty=(none) ses=2 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1331471980.574:92): avc:  denied  { create } for  pid=1864 comm="npviewer.bin" name="settings.sxx" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
type=AVC msg=audit(1331471980.574:92): avc:  denied  { read append open } for  pid=1864 comm="npviewer.bin" name="settings.sxx" dev="dm-2" ino=42895 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
type=SYSCALL msg=audit(1331471980.574:92): arch=40000003 syscall=5 success=yes exit=10 a0=b619b260 a1=8442 a2=1b6 a3=92be0e0 items=0 ppid=1484 pid=1864 auid=505 uid=505 gid=505 euid=505 suid=505 fsuid=505 egid=505 sgid=505 fsgid=505 tty=(none) ses=2 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1331471980.575:93): avc:  denied  { getattr } for  pid=1864 comm="npviewer.bin" path="/home/user2/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/settings.sxx" dev="dm-2" ino=42895 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
type=SYSCALL msg=audit(1331471980.575:93): arch=40000003 syscall=197 success=yes exit=0 a0=a a1=bf88a910 a2=4b1f9ff4 a3=92be0e0 items=0 ppid=1484 pid=1864 auid=505 uid=505 gid=505 euid=505 suid=505 fsuid=505 egid=505 sgid=505 fsgid=505 tty=(none) ses=2 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1331471980.575:94): avc:  denied  { rename } for  pid=1864 comm="npviewer.bin" name="settings.sxx" dev="dm-2" ino=42895 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
type=SYSCALL msg=audit(1331471980.575:94): arch=40000003 syscall=38 success=yes exit=0 a0=b619b2c0 a1=b619b320 a2=b75e1ae0 a3=b619b2c0 items=0 ppid=1484 pid=1864 auid=505 uid=505 gid=505 euid=505 suid=505 fsuid=505 egid=505 sgid=505 fsgid=505 tty=(none) ses=2 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1331471980.575:95): avc:  denied  { unlink } for  pid=1864 comm="npviewer.bin" name="settings.sol" dev="dm-2" ino=42895 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
type=SYSCALL msg=audit(1331471980.575:95): arch=40000003 syscall=10 success=yes exit=0 a0=b619b320 a1=0 a2=b75e1ae0 a3=bf88abec items=0 ppid=1484 pid=1864 auid=505 uid=505 gid=505 euid=505 suid=505 fsuid=505 egid=505 sgid=505 fsgid=505 tty=(none) ses=2 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

drwx------. user2 user2 unconfined_u:object_r:user_home_dir_t:s0 /home/user2/.adobe
drwx------. user2 user2 unconfined_u:object_r:user_home_dir_t:s0 /home/user2/.macromedia/
-rw-rw-r--. user2 user2 unconfined_u:object_r:user_home_dir_t:s0 /home/user2/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/settings.sol

The system was fully relabelled and a new user account was used.

nspluginwrapper-1.4.4-7.fc17.i686
flash-plugin-11.1.102.63-release.i386
Comment 2 Miroslav Grepl 2012-03-12 05:49:49 EDT
It should be fixed in the latest policy. You can download it from koji for now

http://koji.fedoraproject.org/koji/buildinfo?buildID=305982
Comment 3 Mads Kiilerich 2012-03-12 06:37:22 EDT
Confirmed.
Comment 4 Fedora Update System 2012-03-19 13:56:09 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 5 Fedora Update System 2012-03-20 02:09:12 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-21 14:55:06 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.